Name: libmng
Version: 1.0.9
Release: 3.2.1
URL: http://www.libmng.com/
Summary: Library for Multiple-image Network Graphics support
License: BSD-like
Source: http://dl.sf.net/libmng/%{name}-%{version}.tar.gz
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: zlib-devel
BuildRequires: libjpeg-devel

%package devel
Summary: Development files for the Multiple-image Network Graphics library
Group: Development/Libraries
Requires: %{name} = %{version}
Requires: zlib-devel
Requires: libjpeg-devel

%package static
Summary: Statically linked version of the Multiple-image Network Graphics library
Group: Development/Libraries

%description
LibMNG is a library for accessing graphics in MNG (Multi-image Network
Graphics) and JNG (JPEG Network Graphics) formats.  MNG graphics are
basically animated PNGs.  JNG graphics are basically JPEG streams
integrated into a PNG chunk.

%description devel
LibMNG is a library for accessing MNG and JNG format graphics.  The
libmng-devel package contains files needed for developing or compiling
applications which use MNG graphics.

%description static
LibMNG is a library for accessing MNG and JNG format graphics.  The
libmng-static package contains a statically linked version of the
LibMNG library, which you need if you want to develop or compile
applications using MNG graphics without depending upon LibMNG being
installed on the user's system.

%prep
%setup -q

%build
cat unmaintained/autogen.sh | tr -d \\r > autogen.sh
chmod 755 autogen.sh
[ ! -x ./configure ] && ./autogen.sh --help # generate, but don't run
%configure --enable-shared --enable-static --with-zlib --with-jpeg \
	--with-gnu-ld
make %{?_smp_mflags}

%install
%makeinstall
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,0755)
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,0755)
%{_libdir}/*.so
%{_includedir}/*
%{_mandir}/man3/*
%{_mandir}/man5/*

%files static
%defattr(-,root,root,0755)
%{_libdir}/*.a

%changelog
* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 1.0.9-3.2.1
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 1.0.9-3.2
- rebuilt for new gcc4.1 snapshot and glibc changes

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Fri Nov 11 2005 Matthias Saou <http://freshrpms.net/> 1.0.9-3
- Don't own entire man3 & man5 directories.
- Summary updates.
- Spec file cleanups.

* Tue Jun 21 2005 Matthias Clasen <mclasen@redhat.com> 1.0.9-2
- Add missing requires

* Wed Mar  2 2005 Matthias Clasen <mclasen@redhat.com> 1.0.9-1
- Update to 1.0.9
- Work around autogen.sh brokenness

* Fri Feb 11 2005 Matthias Clasen <mclasen@redhat.com> 1.0.8-2
- Remove .la files (#145970)
- Remove some unneeded Requires

* Tue Oct 12 2004 Matthias Clasen <mclasen@redhat.com> 1.0.8-1
- Upgrade to 1.0.8

* Mon Jul 19 2004 Matthias Clasen <mclasen@redhat.com> 1.0.7-4
- Add missing Requires

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed May 19 2004 Matthias Clasen <mclasen@redhat.com> 1.0.7-1
- Upgrade to 1.0.7

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Fri Dec 13 2002 Elliot Lee <sopwith@redhat.com> 1.0.4-2
- Rebuild, _smp_mflags

* Mon Jun 24 2002 Bernhard Rosenkraenzer <bero@redhat.com> 1.0.4-1
- 1.0.4

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu Apr 25 2002 Than Ngo <than@redhat.com> 1.0.3-3
- rebuild in new enviroment

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Sep 19 2001 Bernhard Rosenkraenzer <bero@redhat.com> 1.0.3-1
- 1.0.3

* Tue Jul 31 2001 Bernhard Rosenkraenzer <bero@redhat.com> 1.0.2-1
- Update to 1.0.2 (bugfix release - fixes a memory leak and file corruption)

* Wed Jun 20 2001 Than Ngo <rtthan@redhat.com> 1.0.1-2
- requires %%{name} = %%{version}

* Thu May  3 2001 Bernhard Rosenkraenzer <bero@redhat.com> 1.0.1-1
- 1.0.1

* Wed Feb 28 2001 Trond Eivind Glomsrd <teg@redhat.com>
- remove bogus symlink trick

* Mon Feb 26 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Update to 1.0.0 to make Qt 2.3.0 happy

* Sat Jan 19 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- 0.9.4, fixes MNG 1.0 spec compliance

* Tue Dec 19 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 0.9.3
- Add ldconfig calls in %%post and %%postun

* Tue Dec 05 2000 Florian La Roche <Florian.LaRoche@redhat.de>
- added a clean section to the spec file

* Tue Sep 19 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- initial rpm

